Skip to main content
`Ctrl`+`K`

# TSGetSolveTime

Gets the time after a call to `TSSolve()`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetSolveTime(TS ts, PetscReal *ftime)

Not Collective

## Input Parameter

- ts - the `TS` context

## Output Parameter

- ftime - the final time. This time corresponds to the final time set with `TSSetMaxTime()`

## Note

Can only be called after the call to `TSSolve()` is complete.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSolve()`, `TSConvergedReason`

## Level

beginner

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex16fwd.c
src/ts/tutorials/ex13.c
src/ts/tutorials/ex12.c
src/ts/tutorials/ex26.c
src/ts/tutorials/ex10.c
src/ts/tutorials/ex16.c
src/ts/tutorials/ex18.c
src/ts/tutorials/ex9.c
src/ts/tutorials/ex11.c
src/ts/tutorials/ex1.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages